
Figure - Bug #116653
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】重启设备后，音量和亮度未保持重启前设置的参数
2023-03-02 14:56 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-02

Priority: Normal Due date: 2023-03-31

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

Reproducibility: Every time Fixed Version: 2023-03-30

Test Type: ST Root cause: 系统底层对文件的缓存策略问题导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】）

1、打开控制中心

2、调节音量和亮度

3、重启设备

【预期结果】

3、音量和亮度保持重启前设置的参数

【实际结果】

3、音量和亮度未保持重启前设置的参数

第一次不复现就重复步骤1-3

History

#1 - 2023-03-06 11:18 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-03-06 16:06 - 移动测试一组_CDTS 刘强

Hi all

修改亮度一分钟内，插拔电源重启，亮度修改失败--> NG

修改亮度一分钟之后，插拔电源重启，电源修改成功--> OK

修改亮度一分钟内，adb reboot重启，亮度修改成功--> OK

3Ks

Li

#3 - 2023-03-14 19:09 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛
#4 - 2023-03-28 10:06 - CD FW 曹覃刚

- Due date set to 2023-03-31

#5 - 2023-03-30 16:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190954 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Real-time sync settings files and display state file.TC-RID: 1201-0201813IssueID: TS-R-BUG-116653Change-Id:

Ibb243b9f98a54ae7a8f26a32bcf0a96b87a1a4f6

#6 - 2023-03-30 16:11 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-30

- Root cause set to 系统底层对文件的缓存策略问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

Linux 系统底层对写入的文件首先是写入到缓存区，系统根据策略统一进行同步操作（同步到存储中）。根据调查发现，在调整亮度或音量值后，调整后

的值已经成功写入到文件中，但是该配置文件还未同步到存储中，此时如果拔掉电源，会导致缓存区的文件丢失，启动后表现为配置调整丢失。

处理方案：

针对亮度和 Settings 相关的文件，加入实时同步到存储的逻辑，调整配置或属性后即时同步到存储。

■ Next action

测试验证。

#7 - 2023-04-03 19:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202304010020

4.3

验证通过

#8 - 2023-04-03 19:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
